=== debian/changelog ===
golang-github-gofiber-fiber (2.52.6-1) unstable; urgency=low

  * Initial upload to sid, needed for gatus.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 May 2025 07:19:00 +0200
