=== debian/control ===
Source: golang-github-gofiber-fiber
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-fxamacker-cbor-dev,
 golang-github-google-uuid-dev,
 golang-github-mattn-go-colorable-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-mattn-go-runewidth-dev,
 golang-github-stretchr-testify-dev,
 golang-github-tinylib-msgp-dev,
 golang-github-valyala-bytebufferpool-dev,
 golang-github-valyala-fasthttp-dev,
 golang-golang-x-crypto-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/gofiber/fiber
Vcs-Browser: https://forgejo.debian.net/gatus/golang-github-gofiber-fiber
Vcs-Git: https://forgejo.debian.net/gatus/golang-github-gofiber-fiber
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/gofiber/fiber

Package: golang-github-gofiber-fiber-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-fxamacker-cbor-dev,
 golang-github-google-uuid-dev,
 golang-github-mattn-go-colorable-dev,
 golang-github-mattn-go-isatty-dev,
 golang-github-stretchr-testify-dev,
 golang-github-tinylib-msgp-dev,
 golang-github-valyala-bytebufferpool-dev,
 golang-github-valyala-fasthttp-dev,
 golang-golang-x-crypto-dev,
 ${misc:Depends},
Description: Express inspired web framework (Go library)
 Fiber is a web framework, created with the idea of minimalism and follows the UNIX way.
 It is inspired by Express, the popular web framework for Node.js.
