=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

override_dh_auto_test:
	# disabled (needs network)

execute_after_dh_auto_install:
	# Removing unneeded files
	rm -rf debian/golang-github-gofiber-fiber-dev/usr/share/gocode/src/github.com/gofiber/fiber/.github
