## golang-github-gofiber-fiber 3.0.0

=== debian/changelog ===
golang-github-gofiber-fiber (3.0.0-2) sid; urgency=low

  * Bumping build-depends on golang-github-valyala-fasthttp to fix FTBFS
    on trixie.
  * Building with golang 1.25 to fix FTBFS on trixie.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Mar 2026 19:33:31 +0100

golang-github-gofiber-fiber (3.0.0-1) sid; urgency=low

  * Merging upstream version 3.0.0.
  * Adding newly required build-depends to golang-github-gofiber-utils-
    dev.
  * Adding newly required build-depends to golang-github-gofiber-schema-
    dev.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Feb 2026 09:20:05 +0100

golang-github-gofiber-fiber (2.52.6-2) sid; urgency=low

  * Moving dh-golang builddirectory to debian/_build.
  * Updating vcs fields.
  * Using codename instead of suitename in changelog.
  * Updating watch file to version 5.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Feb 2026 09:18:47 +0100

golang-github-gofiber-fiber (2.52.6-1) sid; urgency=low

  * Initial upload to sid, needed for gatus.

 -- Daniel Baumann <daniel@debian.org>  Sat, 17 May 2025 07:19:00 +0200
