=== debian/control ===
--- 
+++ 
@@ -5,8 +5,10 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
- golang-any,
+ golang-1.25,
  golang-github-fxamacker-cbor-dev,
+ golang-github-gofiber-schema-dev,
+ golang-github-gofiber-utils-dev,
  golang-github-google-uuid-dev,
  golang-github-mattn-go-colorable-dev,
  golang-github-mattn-go-isatty-dev,
@@ -14,12 +16,12 @@
  golang-github-stretchr-testify-dev,
  golang-github-tinylib-msgp-dev,
  golang-github-valyala-bytebufferpool-dev,
- golang-github-valyala-fasthttp-dev,
+ golang-github-valyala-fasthttp-dev (>= 1:1.67),
  golang-golang-x-crypto-dev,
 Standards-Version: 4.7.3
 Homepage: https://github.com/gofiber/fiber
-Vcs-Browser: https://forgejo.debian.net/gatus/golang-github-gofiber-fiber
-Vcs-Git: https://forgejo.debian.net/gatus/golang-github-gofiber-fiber
+Vcs-Browser: https://forgejo.debian.net/golang/golang-github-gofiber-fiber
+Vcs-Git: https://forgejo.debian.net/golang/golang-github-gofiber-fiber
 Testsuite: autopkgtest-pkg-go
 XS-Go-Import-Path: github.com/gofiber/fiber
