=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+export GOROOT := /usr/lib/go-1.25
+export PATH := /usr/lib/go-1.25/bin:$(PATH)
+
 %:
-	dh ${@} --builddirectory=_build --buildsystem=golang
+	dh ${@} --builddirectory=debian/_build --buildsystem=golang
 
 override_dh_auto_test:
 	# disabled (needs network)
