=== debian/changelog ===
golang-github-gofiber-fiber (3.1.0-1) sid; urgency=medium

  * Merging upstream version 3.1.0.
  * Bumping build-depends on golang-github-tinylib-msgp to fix FTBFS on
    trixie.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Mar 2026 19:38:10 +0100
