=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  golang-github-mattn-go-isatty-dev,
  golang-github-mattn-go-runewidth-dev,
  golang-github-stretchr-testify-dev,
- golang-github-tinylib-msgp-dev,
+ golang-github-tinylib-msgp-dev (>= 1.6.3),
  golang-github-valyala-bytebufferpool-dev,
  golang-github-valyala-fasthttp-dev (>= 1:1.67),
  golang-golang-x-crypto-dev,
